Bug 198194 - Fix net/shadowsocks-libev build with clang 3.6.0
Summary: Fix net/shadowsocks-libev build with clang 3.6.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Bartek Rutkowski
URL:
Keywords:
Depends on:
Blocks: 197395
  Show dependency treegraph
 
Reported: 2015-03-02 19:42 UTC by Dimitry Andric
Modified: 2015-03-22 15:23 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (xiaoding+freebsd)


Attachments
Fix positioning of _Noreturn attribute for shadowsocks's copy of libev (1.27 KB, patch)
2015-03-02 19:42 UTC, Dimitry Andric
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Dimitry Andric freebsd_committer 2015-03-02 19:42:59 UTC
Created attachment 153681 [details]
Fix positioning of _Noreturn attribute for shadowsocks's copy of libev

During the exp-run in bug 197395, it was found that devel/pecl-ev gives errors with clang 3.6.0:

http://package18.nyi.freebsd.org/data/headamd64PR197395-default/2015-02-27_12h37m16s/logs/errors/shadowsocks-libev-1.6.4.log

This is because the embedded copy of libev places the _Noreturn attribute in an incorrect position.  It can be fixed by the attached patch.

See also bug 197864 (for devel/libev).
Comment 1 Dimitry Andric freebsd_committer 2015-03-02 19:43:47 UTC
(In reply to Dimitry Andric from comment #0)
> During the exp-run in bug 197395, it was found that devel/pecl-ev gives errors with clang 3.6.0:

Eh, this was of course net/shadowsocks-libev. :-)
Comment 2 Bartek Rutkowski freebsd_committer 2015-03-18 11:47:54 UTC
The build fails with:

http://pd.valinor.palantiri.org/data/84i386-default/2015-03-18_09h09m02s/logs/errors/shadowsocks-libev-1.6.4.log

Since I can't fix it, I am returning it to the pool.
Comment 3 xiaoding+freebsd 2015-03-19 03:47:36 UTC
(In reply to Bartek Rutkowski from comment #2)
There is a patch to the build failure error, yet not committed.
refer to this url: 
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=197054#c4

I have no privilege to commit. Could someone help?
Comment 4 commit-hook freebsd_committer 2015-03-22 15:22:52 UTC
A commit references this bug:

Author: robak
Date: Sun Mar 22 15:22:24 UTC 2015
New revision: 381929
URL: https://svnweb.freebsd.org/changeset/ports/381929

Log:
  net/shadowsocks-libev: fix clang 3.6 build

  PR:		198194
  Submitted by:	Dimitry Andric <dim@FreeBSD.org>

Changes:
  head/net/shadowsocks-libev/files/patch-libev__ev.c
Comment 5 Bartek Rutkowski freebsd_committer 2015-03-22 15:23:27 UTC
Committed, thanks for your work!